SpanFilterResult (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.SpanFilterResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class SpanFilterResult

    java.lang.Object
      org.apache.lucene.search.SpanFilterResult

    public class SpanFilterResult

extends Object

The results of a SpanQueryFilter. Wraps the BitSet and the position infomration from the SpanQuery

NOTE: This API is still experimental and subject to change.

Nested Class Summary
`static class` | `SpanFilterResult.PositionInfo`
`static class` | `SpanFilterResult.StartEnd`

Constructor Summary
`SpanFilterResult(BitSet bits, List positions)` Deprecated. Use `SpanFilterResult(DocIdSet, List)` instead
`SpanFilterResult(DocIdSet docIdSet, List positions)`

Method Summary
`BitSet` | `getBits()` Deprecated. Use `getDocIdSet()`
`DocIdSet` | `getDocIdSet()` Returns the docIdSet
`List` | `getPositions()` The first entry in the array corresponds to the first "on" bit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFilterResult

    public SpanFilterResult(BitSet bits,
                            List positions)

  Deprecated. Use `SpanFilterResult(DocIdSet, List)` instead

  Parameters:
    `bits` - The bits for the Filter
    `positions` - A List of `SpanFilterResult.PositionInfo` objects

### SpanFilterResult

    public SpanFilterResult(DocIdSet docIdSet,
                            List positions)

Parameters:
  `docIdSet` - The DocIdSet for the Filter
  `positions` - A List of `SpanFilterResult.PositionInfo` objects

Method Detail

### getPositions

    public List getPositions()

  The first entry in the array corresponds to the first "on" bit. Entries are increasing by document order

  Returns:
    A List of PositionInfo objects

### getBits

    public BitSet getBits()

  Deprecated. Use `getDocIdSet()`

### getDocIdSet

    public DocIdSet getDocIdSet()

  Returns the docIdSet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.